# salt.modules.azurearm_network

Azure (ARM) Network Execution Module

New in version 2019.2.0.

Warning

This cloud provider will be removed from Salt in version 3007 in favor of the saltext.azurerm Salt Extension

maintainer:

  <devops@eitr.tech>

maturity:

  new

depends:

  - azure >= 2.0.0

  - azure-common >= 1.1.8

  - azure-mgmt >= 1.0.0

  - azure-mgmt-compute >= 1.0.0

  - azure-mgmt-network >= 1.7.1

  - azure-mgmt-resource >= 1.1.0

  - azure-mgmt-storage >= 1.0.0

  - azure-mgmt-web >= 0.32.0

  - azure-storage >= 0.34.3

  - msrestazure >= 0.4.21

platform:

  linux

configuration:

  This module requires Azure Resource Manager credentials to be passed as keyword arguments to every function in order to work properly.

  Required provider parameters:

  if using username and password:

    - `subscription_id`

    - `username`

    - `password`

  if using a service principal:

    - `subscription_id`

    - `tenant`

    - `client_id`

    - `secret`

  Optional provider parameters:

cloud_environment: Used to point the cloud driver to different API endpoints, such as Azure GovCloud.
  Possible values:

    - `AZURE_PUBLIC_CLOUD` (default)

    - `AZURE_CHINA_CLOUD`

    - `AZURE_US_GOV_CLOUD`

    - `AZURE_GERMAN_CLOUD`

salt.modules.azurearm_network.check_dns_name_availability(name, region, **kwargs)

  New in version 2019.2.0.

  Check whether a domain name in the current zone is available for use.

  Parameters:

    - name -- The DNS name to query.

    - region -- The region to query for the DNS name in question.

  CLI Example:

      salt-call azurearm_network.check_dns_name_availability testdnsname westus

salt.modules.azurearm_network.check_ip_address_availability(ip_address, virtual_network, resource_group, **kwargs)

  New in version 2019.2.0.

  Check that a private ip address is available within the specified virtual network.

  Parameters:

    - ip_address -- The ip_address to query.

    - virtual_network -- The virtual network to query for the IP address in question.

    - resource_group -- The resource group name assigned to the virtual network.

  CLI Example:

      salt-call azurearm_network.check_ip_address_availability 10.0.0.4 testnet testgroup

salt.modules.azurearm_network.default_security_rule_get(name, security_group, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a default security rule within a security group.

  Parameters:

    - name -- The name of the security rule to query.

    - security_group -- The network security group containing the security rule.

    - resource_group -- The resource group name assigned to the network security group.

  CLI Example:

      salt-call azurearm_network.default_security_rule_get DenyAllOutBound testnsg testgroup

salt.modules.azurearm_network.default_security_rules_list(security_group, resource_group, **kwargs)

  New in version 2019.2.0.

  List default security rules within a security group.

  Parameters:

    - security_group -- The network security group to query.

    - resource_group -- The resource group name assigned to the network security group.

  CLI Example:

      salt-call azurearm_network.default_security_rules_list testnsg testgroup

salt.modules.azurearm_network.get_virtual_machine_scale_set_network_interface(name, scale_set, vm_index, resource_group, **kwargs)

  New in version 2019.2.0.

  Get information about a specific network interface within a scale set.

  Parameters:

    - name -- The name of the network interface to query.

    - scale_set -- The name of the scale set containing the interface.

    - vm_index -- The virtual machine index.

    - resource_group -- The resource group name assigned to the scale set.

  CLI Example:

      salt-call azurearm_network.get_virtual_machine_scale_set_network_interface test-iface0 testset testvm testgroup

salt.modules.azurearm_network.list_virtual_machine_scale_set_network_interfaces(scale_set, resource_group, **kwargs)

  New in version 2019.2.0.

  Get information about all network interfaces within a scale set.

  Parameters:

    - scale_set -- The name of the scale set to query.

    - resource_group -- The resource group name assigned to the scale set.

  CLI Example:

      salt-call azurearm_network.list_virtual_machine_scale_set_vm_network_interfaces testset testgroup

salt.modules.azurearm_network.list_virtual_machine_scale_set_vm_network_interfaces(scale_set, vm_index, resource_group, **kwargs)

  New in version 2019.2.0.

  Get information about all network interfaces in a specific virtual machine within a scale set.

  Parameters:

    - scale_set -- The name of the scale set to query.

    - vm_index -- The virtual machine index.

    - resource_group -- The resource group name assigned to the scale set.

  CLI Example:

      salt-call azurearm_network.list_virtual_machine_scale_set_vm_network_interfaces testset testvm testgroup

salt.modules.azurearm_network.load_balancer_create_or_update(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Create or update a load balancer within a specified resource group.

  Parameters:

    - name -- The name of the load balancer to create.

    - resource_group -- The resource group name assigned to the load balancer.

  CLI Example:

      salt-call azurearm_network.load_balancer_create_or_update testlb testgroup

salt.modules.azurearm_network.load_balancer_delete(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a load balancer.

  Parameters:

    - name -- The name of the load balancer to delete.

    - resource_group -- The resource group name assigned to the load balancer.

  CLI Example:

      salt-call azurearm_network.load_balancer_delete testlb testgroup

salt.modules.azurearm_network.load_balancer_get(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a specific load balancer.

  Parameters:

    - name -- The name of the load balancer to query.

    - resource_group -- The resource group name assigned to the load balancer.

  CLI Example:

      salt-call azurearm_network.load_balancer_get testlb testgroup

salt.modules.azurearm_network.load_balancers_list(resource_group, **kwargs)

  New in version 2019.2.0.

  List all load balancers within a resource group.

  Parameters:

    resource_group -- The resource group name to list load balancers within.

  CLI Example:

      salt-call azurearm_network.load_balancers_list testgroup

salt.modules.azurearm_network.load_balancers_list_all(**kwargs)

  New in version 2019.2.0.

  List all load balancers within a subscription.

  CLI Example:

      salt-call azurearm_network.load_balancers_list_all

salt.modules.azurearm_network.network_interface_create_or_update(name, ip_configurations, subnet, virtual_network, resource_group, **kwargs)

  New in version 2019.2.0.

  Create or update a network interface within a specified resource group.

  Parameters:

    - name -- The name of the network interface to create.

    - ip_configurations -- A list of dictionaries representing valid NetworkInterfaceIPConfiguration objects. The 'name' key is required at minimum. At least one IP Configuration must be present.

    - subnet -- The name of the subnet assigned to the network interface.

    - virtual_network -- The name of the virtual network assigned to the subnet.

    - resource_group -- The resource group name assigned to the virtual network.

  CLI Example:

      salt-call azurearm_network.network_interface_create_or_update test-iface0 [{'name': 'testipconfig1'}]                   testsubnet testnet testgroup

salt.modules.azurearm_network.network_interface_delete(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a network interface.

  Parameters:

    - name -- The name of the network interface to delete.

    - resource_group -- The resource group name assigned to the network interface.

  CLI Example:

      salt-call azurearm_network.network_interface_delete test-iface0 testgroup

salt.modules.azurearm_network.network_interface_get(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a specific network interface.

  Parameters:

    - name -- The name of the network interface to query.

    - resource_group -- The resource group name assigned to the network interface.

  CLI Example:

      salt-call azurearm_network.network_interface_get test-iface0 testgroup

salt.modules.azurearm_network.network_interface_get_effective_route_table(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Get all route tables for a specific network interface.

  Parameters:

    - name -- The name of the network interface to query.

    - resource_group -- The resource group name assigned to the network interface.

  CLI Example:

      salt-call azurearm_network.network_interface_get_effective_route_table test-iface0 testgroup

salt.modules.azurearm_network.network_interface_list_effective_network_security_groups(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Get all network security groups applied to a specific network interface.

  Parameters:

    - name -- The name of the network interface to query.

    - resource_group -- The resource group name assigned to the network interface.

  CLI Example:

      salt-call azurearm_network.network_interface_list_effective_network_security_groups test-iface0 testgroup

salt.modules.azurearm_network.network_interfaces_list(resource_group, **kwargs)

  New in version 2019.2.0.

  List all network interfaces within a resource group.

  Parameters:

    resource_group -- The resource group name to list network interfaces within.

  CLI Example:

      salt-call azurearm_network.network_interfaces_list testgroup

salt.modules.azurearm_network.network_interfaces_list_all(**kwargs)

  New in version 2019.2.0.

  List all network interfaces within a subscription.

  CLI Example:

      salt-call azurearm_network.network_interfaces_list_all

salt.modules.azurearm_network.network_security_group_create_or_update(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Create or update a network security group.

  Parameters:

    - name -- The name of the network security group to create.

    - resource_group -- The resource group name assigned to the network security group.

  CLI Example:

      salt-call azurearm_network.network_security_group_create_or_update testnsg testgroup

salt.modules.azurearm_network.network_security_group_delete(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a network security group within a resource group.

  Parameters:

    - name -- The name of the network security group to delete.

    - resource_group -- The resource group name assigned to the network security group.

  CLI Example:

      salt-call azurearm_network.network_security_group_delete testnsg testgroup

salt.modules.azurearm_network.network_security_group_get(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a network security group within a resource group.

  Parameters:

    - name -- The name of the network security group to query.

    - resource_group -- The resource group name assigned to the network security group.

  CLI Example:

      salt-call azurearm_network.network_security_group_get testnsg testgroup

salt.modules.azurearm_network.network_security_groups_list(resource_group, **kwargs)

  New in version 2019.2.0.

  List all network security groups within a resource group.

  Parameters:

    resource_group -- The resource group name to list network security groups within.

  CLI Example:

      salt-call azurearm_network.network_security_groups_list testgroup

salt.modules.azurearm_network.network_security_groups_list_all(**kwargs)

  New in version 2019.2.0.

  List all network security groups within a subscription.

  CLI Example:

      salt-call azurearm_network.network_security_groups_list_all

salt.modules.azurearm_network.public_ip_address_create_or_update(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Create or update a public IP address within a specified resource group.

  Parameters:

    - name -- The name of the public IP address to create.

    - resource_group -- The resource group name assigned to the public IP address.

  CLI Example:

      salt-call azurearm_network.public_ip_address_create_or_update test-ip-0 testgroup

salt.modules.azurearm_network.public_ip_address_delete(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a public IP address.

  Parameters:

    - name -- The name of the public IP address to delete.

    - resource_group -- The resource group name assigned to the public IP address.

  CLI Example:

      salt-call azurearm_network.public_ip_address_delete test-pub-ip testgroup

salt.modules.azurearm_network.public_ip_address_get(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a specific public IP address.

  Parameters:

    - name -- The name of the public IP address to query.

    - resource_group -- The resource group name assigned to the public IP address.

  CLI Example:

      salt-call azurearm_network.public_ip_address_get test-pub-ip testgroup

salt.modules.azurearm_network.public_ip_addresses_list(resource_group, **kwargs)

  New in version 2019.2.0.

  List all public IP addresses within a resource group.

  Parameters:

    resource_group -- The resource group name to list public IP addresses within.

  CLI Example:

      salt-call azurearm_network.public_ip_addresses_list testgroup

salt.modules.azurearm_network.public_ip_addresses_list_all(**kwargs)

  New in version 2019.2.0.

  List all public IP addresses within a subscription.

  CLI Example:

      salt-call azurearm_network.public_ip_addresses_list_all

salt.modules.azurearm_network.route_create_or_update(name, address_prefix, next_hop_type, route_table, resource_group, next_hop_ip_address=None, **kwargs)

  New in version 2019.2.0.

  Create or update a route within a specified route table.

  Parameters:

    - name -- The name of the route to create.

    - address_prefix -- The destination CIDR to which the route applies.

    - next_hop_type -- The type of Azure hop the packet should be sent to. Possible values are: 'VirtualNetworkGateway', 'VnetLocal', 'Internet', 'VirtualAppliance', and 'None'.

    - next_hop_ip_address -- Optional IP address to which packets should be forwarded. Next hop values are only allowed in routes where the next_hop_type is 'VirtualAppliance'.

    - route_table -- The name of the route table containing the route.

    - resource_group -- The resource group name assigned to the route table.

  CLI Example:

      salt-call azurearm_network.route_create_or_update test-rt '10.0.0.0/8' test-rt-table testgroup

salt.modules.azurearm_network.route_delete(name, route_table, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a route from a route table.

  Parameters:

    - name -- The route to delete.

    - route_table -- The route table containing the route.

    - resource_group -- The resource group name assigned to the route table.

  CLI Example:

      salt-call azurearm_network.route_delete test-rt test-rt-table testgroup

salt.modules.azurearm_network.route_filter_create_or_update(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Create or update a route filter within a specified resource group.

  Parameters:

    - name -- The name of the route filter to create.

    - resource_group -- The resource group name assigned to the route filter.

  CLI Example:

      salt-call azurearm_network.route_filter_create_or_update test-filter testgroup

salt.modules.azurearm_network.route_filter_delete(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a route filter.

  Parameters:

    - name -- The name of the route filter to delete.

    - resource_group -- The resource group name assigned to the route filter.

  CLI Example:

      salt-call azurearm_network.route_filter_delete test-filter testgroup

salt.modules.azurearm_network.route_filter_get(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a specific route filter.

  Parameters:

    - name -- The name of the route table to query.

    - resource_group -- The resource group name assigned to the route filter.

  CLI Example:

      salt-call azurearm_network.route_filter_get test-filter testgroup

salt.modules.azurearm_network.route_filter_rule_create_or_update(name, access, communities, route_filter, resource_group, **kwargs)

  New in version 2019.2.0.

  Create or update a rule within a specified route filter.

  Parameters:

    - name -- The name of the rule to create.

    - access -- The access type of the rule. Valid values are 'Allow' and 'Deny'.

    - communities -- A list of BGP communities to filter on.

    - route_filter -- The name of the route filter containing the rule.

    - resource_group -- The resource group name assigned to the route filter.

  CLI Example:

      salt-call azurearm_network.route_filter_rule_create_or_update                   test-rule allow "['12076:51006']" test-filter testgroup

salt.modules.azurearm_network.route_filter_rule_delete(name, route_filter, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a route filter rule.

  Parameters:

    - name -- The route filter rule to delete.

    - route_filter -- The route filter containing the rule.

    - resource_group -- The resource group name assigned to the route filter.

  CLI Example:

      salt-call azurearm_network.route_filter_rule_delete test-rule test-filter testgroup

salt.modules.azurearm_network.route_filter_rule_get(name, route_filter, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a specific route filter rule.

  Parameters:

    - name -- The route filter rule to query.

    - route_filter -- The route filter containing the rule.

    - resource_group -- The resource group name assigned to the route filter.

  CLI Example:

      salt-call azurearm_network.route_filter_rule_get test-rule test-filter testgroup

salt.modules.azurearm_network.route_filter_rules_list(route_filter, resource_group, **kwargs)

  New in version 2019.2.0.

  List all routes within a route filter.

  Parameters:

    - route_filter -- The route filter to query.

    - resource_group -- The resource group name assigned to the route filter.

  CLI Example:

      salt-call azurearm_network.route_filter_rules_list test-filter testgroup

salt.modules.azurearm_network.route_filters_list(resource_group, **kwargs)

  New in version 2019.2.0.

  List all route filters within a resource group.

  Parameters:

    resource_group -- The resource group name to list route filters within.

  CLI Example:

      salt-call azurearm_network.route_filters_list testgroup

salt.modules.azurearm_network.route_filters_list_all(**kwargs)

  New in version 2019.2.0.

  List all route filters within a subscription.

  CLI Example:

      salt-call azurearm_network.route_filters_list_all

salt.modules.azurearm_network.route_get(name, route_table, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a specific route.

  Parameters:

    - name -- The route to query.

    - route_table -- The route table containing the route.

    - resource_group -- The resource group name assigned to the route table.

  CLI Example:

      salt-call azurearm_network.route_get test-rt test-rt-table testgroup

salt.modules.azurearm_network.route_table_create_or_update(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Create or update a route table within a specified resource group.

  Parameters:

    - name -- The name of the route table to create.

    - resource_group -- The resource group name assigned to the route table.

  CLI Example:

      salt-call azurearm_network.route_table_create_or_update test-rt-table testgroup

salt.modules.azurearm_network.route_table_delete(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a route table.

  Parameters:

    - name -- The name of the route table to delete.

    - resource_group -- The resource group name assigned to the route table.

  CLI Example:

      salt-call azurearm_network.route_table_delete test-rt-table testgroup

salt.modules.azurearm_network.route_table_get(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a specific route table.

  Parameters:

    - name -- The name of the route table to query.

    - resource_group -- The resource group name assigned to the route table.

  CLI Example:

      salt-call azurearm_network.route_table_get test-rt-table testgroup

salt.modules.azurearm_network.route_tables_list(resource_group, **kwargs)

  New in version 2019.2.0.

  List all route tables within a resource group.

  Parameters:

    resource_group -- The resource group name to list route tables within.

  CLI Example:

      salt-call azurearm_network.route_tables_list testgroup

salt.modules.azurearm_network.route_tables_list_all(**kwargs)

  New in version 2019.2.0.

  List all route tables within a subscription.

  CLI Example:

      salt-call azurearm_network.route_tables_list_all

salt.modules.azurearm_network.routes_list(route_table, resource_group, **kwargs)

  New in version 2019.2.0.

  List all routes within a route table.

  Parameters:

    - route_table -- The route table to query.

    - resource_group -- The resource group name assigned to the route table.

  CLI Example:

      salt-call azurearm_network.routes_list test-rt-table testgroup

salt.modules.azurearm_network.security_rule_create_or_update(name, access, direction, priority, protocol, security_group, resource_group, source_address_prefix=None, destination_address_prefix=None, source_port_range=None, destination_port_range=None, source_address_prefixes=None, destination_address_prefixes=None, source_port_ranges=None, destination_port_ranges=None, **kwargs)

  New in version 2019.2.0.

  Create or update a security rule within a specified network security group.

  Parameters:

    - name -- The name of the security rule to create.

    - access -- 'allow' or 'deny'

    - direction -- 'inbound' or 'outbound'

    - priority -- Integer between 100 and 4096 used for ordering rule application.

    - protocol -- 'tcp', 'udp', or '*'

    - destination_address_prefix -- The CIDR or destination IP range. Asterix '*' can also be used to match all destination IPs. Default tags such as 'VirtualNetwork', 'AzureLoadBalancer' and 'Internet' can also be used. If this is an ingress rule, specifies where network traffic originates from.

    - destination_port_range -- The destination port or range. Integer or range between 0 and 65535. Asterix '*' can also be used to match all ports.

    - source_address_prefix -- The CIDR or source IP range. Asterix '*' can also be used to match all source IPs. Default tags such as 'VirtualNetwork', 'AzureLoadBalancer' and 'Internet' can also be used. If this is an ingress rule, specifies where network traffic originates from.

    - source_port_range -- The source port or range. Integer or range between 0 and 65535. Asterix '*' can also be used to match all ports.

    - destination_address_prefixes -- A list of destination_address_prefix values. This parameter overrides destination_address_prefix and will cause any value entered there to be ignored.

    - destination_port_ranges -- A list of destination_port_range values. This parameter overrides destination_port_range and will cause any value entered there to be ignored.

    - source_address_prefixes -- A list of source_address_prefix values. This parameter overrides source_address_prefix and will cause any value entered there to be ignored.

    - source_port_ranges -- A list of source_port_range values. This parameter overrides source_port_range and will cause any value entered there to be ignored.

    - security_group -- The network security group containing the security rule.

    - resource_group -- The resource group name assigned to the network security group.

  CLI Example:

      salt-call azurearm_network.security_rule_create_or_update testrule1 allow outbound 101 tcp testnsg testgroup                   source_address_prefix='*' destination_address_prefix=internet source_port_range='*'                   destination_port_range='1-1024'

salt.modules.azurearm_network.security_rule_delete(security_rule, security_group, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a security rule within a specified security group.

  Parameters:

    - name -- The name of the security rule to delete.

    - security_group -- The network security group containing the security rule.

    - resource_group -- The resource group name assigned to the network security group.

  CLI Example:

      salt-call azurearm_network.security_rule_delete testrule1 testnsg testgroup

salt.modules.azurearm_network.security_rule_get(security_rule, security_group, resource_group, **kwargs)

  New in version 2019.2.0.

  Get a security rule within a specified network security group.

  Parameters:

    - name -- The name of the security rule to query.

    - security_group -- The network security group containing the security rule.

    - resource_group -- The resource group name assigned to the network security group.

  CLI Example:

      salt-call azurearm_network.security_rule_get testrule1 testnsg testgroup

salt.modules.azurearm_network.security_rules_list(security_group, resource_group, **kwargs)

  New in version 2019.2.0.

  List security rules within a network security group.

  Parameters:

    - security_group -- The network security group to query.

    - resource_group -- The resource group name assigned to the network security group.

  CLI Example:

      salt-call azurearm_network.security_rules_list testnsg testgroup

salt.modules.azurearm_network.subnet_create_or_update(name, address_prefix, virtual_network, resource_group, **kwargs)

  New in version 2019.2.0.

  Create or update a subnet.

  Parameters:

    - name -- The name assigned to the subnet being created or updated.

    - address_prefix -- A valid CIDR block within the virtual network.

    - virtual_network -- The virtual network name containing the subnet.

    - resource_group -- The resource group name assigned to the virtual network.

  CLI Example:

      salt-call azurearm_network.subnet_create_or_update testsubnet                   '10.0.0.0/24' testnet testgroup

salt.modules.azurearm_network.subnet_delete(name, virtual_network, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a subnet.

  Parameters:

    - name -- The name of the subnet to delete.

    - virtual_network -- The virtual network name containing the subnet.

    - resource_group -- The resource group name assigned to the virtual network.

  CLI Example:

      salt-call azurearm_network.subnet_delete testsubnet testnet testgroup

salt.modules.azurearm_network.subnet_get(name, virtual_network, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a specific subnet.

  Parameters:

    - name -- The name of the subnet to query.

    - virtual_network -- The virtual network name containing the subnet.

    - resource_group -- The resource group name assigned to the virtual network.

  CLI Example:

      salt-call azurearm_network.subnet_get testsubnet testnet testgroup

salt.modules.azurearm_network.subnets_list(virtual_network, resource_group, **kwargs)

  New in version 2019.2.0.

  List all subnets within a virtual network.

  Parameters:

    - virtual_network -- The virtual network name to list subnets within.

    - resource_group -- The resource group name assigned to the virtual network.

  CLI Example:

      salt-call azurearm_network.subnets_list testnet testgroup

salt.modules.azurearm_network.usages_list(location, **kwargs)

  New in version 2019.2.0.

  List subscription network usage for a location.

  Parameters:

    location -- The Azure location to query for network usage.

  CLI Example:

      salt-call azurearm_network.usages_list westus

salt.modules.azurearm_network.virtual_network_create_or_update(name, address_prefixes, resource_group, **kwargs)

  New in version 2019.2.0.

  Create or update a virtual network.

  Parameters:

    - name -- The name assigned to the virtual network being created or updated.

    - address_prefixes -- A list of CIDR blocks which can be used by subnets within the virtual network.

    - resource_group -- The resource group name assigned to the virtual network.

  CLI Example:

      salt-call azurearm_network.virtual_network_create_or_update                   testnet ['10.0.0.0/16'] testgroup

salt.modules.azurearm_network.virtual_network_delete(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Delete a virtual network.

  Parameters:

    - name -- The name of the virtual network to delete.

    - resource_group -- The resource group name assigned to the virtual network

  CLI Example:

      salt-call azurearm_network.virtual_network_delete testnet testgroup

salt.modules.azurearm_network.virtual_network_get(name, resource_group, **kwargs)

  New in version 2019.2.0.

  Get details about a specific virtual network.

  Parameters:

    - name -- The name of the virtual network to query.

    - resource_group -- The resource group name assigned to the virtual network.

  CLI Example:

      salt-call azurearm_network.virtual_network_get testnet testgroup

salt.modules.azurearm_network.virtual_networks_list(resource_group, **kwargs)

  New in version 2019.2.0.

  List all virtual networks within a resource group.

  Parameters:

    resource_group -- The resource group name to list virtual networks within.

  CLI Example:

      salt-call azurearm_network.virtual_networks_list testgroup

salt.modules.azurearm_network.virtual_networks_list_all(**kwargs)

  New in version 2019.2.0.

  List all virtual networks within a subscription.

  CLI Example:

      salt-call azurearm_network.virtual_networks_list_all